RTF_SEND(2)

NAME
rtf_send - send data to an rt_ipc real-time fifo

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>
#include rt_ipc.h

int rtf_send(unsigned int fifo, void *buf, int count, RTIME timeout)

DESCRIPTION
rtf_send sends data to the rt-fifo fifo. The data, of size count, is taken from buf. If timeout is RT_NO_WAIT, the function returns immediately even if count bytes cannot be sent. If timeout is RT_WAIT_FOREVER, the function blocks until count bytes can be sent. If timeout is any other value, it represents the time at which the function will return with a timeout after unsuccessfully waiting to send the data. If rtf_send cannot send the entire block, no data is sent.

The rt_ipc RT-FIFO is a mechanism, implemented as a character device, to communicate between real-time tasks and ordinary Linux processes. It is based on the Real-Time Linux RT-FIFO mechanism. The rtf_* functions are used by the real-time tasks; Linux processes use standard character device access functions such as read(2), write(2), and select(2).

RETURN VALUE
If the return value is greater than or equal to zero, it represents the number of bytes received. This might be zero if the function timed out or RT_NO_WAIT was specified and less than count bytes could be sent. On failure, a negative value is returned as described below.

ERRORS

-ENODEV
    fifo is not less than IPC_RTF_NO and RTF_NO.

-EINVAL
    fifo is not a valid fifo identifier.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rtf_ipc_create(2), rtf_ipc_destroy(2), rtf_receive(2)